/*-------------------------------------------------------------------
*
* ID要素はJavaScript
* CSSはクラス要素
*
*
* 数値ゼロには単位をつけない
*
* marginはtopでとる（例外はfooterのみ）
*
* 1.位置情報系(position, top, right, z-index, display, float等)
* 2.サイズ(width, height, padding, margin)
* 3.文字系(font, line-height, letter-spacing, color- text-align等)
* 4.背景(background, border等)
* 5.その他(animation, transition等).container
*
-------------------------------------------------------------------*/
/* @import url(https://fonts.googleapis.com/earlyaccess/notosansjapanese.css); */

/* IE11の日本語フォント以外を指定するとline-heightが無視される対策 */
@media all and (-ms-high-contrast:none){
  *::-ms-backdrop, body { font-family: 'メイリオ', sans-serif !important; } /* IE11 */
}

.readonly
{
    background-color: #F2EEEE !important;
    border-color: #ccc !important;
    box-shadow: none !important;
}
.decorate_sel > option
{
    padding: 6px 12px;
    font: inherit;
}
.decorate_sel.multiple > option
{
    padding: 1px 12px;
    min-height: 20px;
    border-bottom: dotted 1px silver;
}
.decorate_txtarea
{
    display: inline-block;
    width: 100%;
    height: 300px;
    padding: 6px 12px;
    font: inherit;
    color: #555;
    vertical-align: middle;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    transition: border-color 0.15s ease-in-out 0s;
}
.decorate_btn
{
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
    border: 1px solid transparent;
    white-space: nowrap;
    cursor: pointer;
}
.decorate_btn.disabled,
.decorate_btn[disabled]
{
    color: #777;
    opacity: 0.65;
    box-shadow: none;
    pointer-events: none;
}
.btn_xs
{
    padding: 1px 6px;
    border-radius: 3px;
}
.btn_s
{
    padding: 5px 10px;
    border-radius: 3px;
}
.btn_m
{
    padding: 6px 12px;
    border-radius: 4px;
}
.btn_l
{
    padding: 8px 14px;
    font-size: 14px;
    border-radius: 5px;
}

.btn_ll
{
    padding: 10px 16px;
    font-size: 18px;
    border-radius: 6px;
}
.btn_def
{
    color: #333;
    background-color: #e8e8e8;
    border-color: #ccc;
}
.btn_def:hover,
.btn_def:focus,
.btn_def:active,
.btn_def.active
{
    background-color: #cfcfcf;
    border-color: #adadad;
}
.btn_next
{
    color: #fff;
    background-color: #36a8fe;
    border-color: #3e94de;
}
.btn_next:hover,
.btn_next:focus,
.btn_next:active,
.btn_next.active
{
    background-color: #2f8bd2;
    border-color: #4584ba;
}
.btn_edit
{
    color: #FFF;
    background-color: #449d44;
    border-color: #398439;
}
.btn_edit:hover,
.btn_edit:focus,
.btn_edit:active,
.btn_edit.active
{
    background-color: #3B833B;
    border-color: #2d682d;
}
.btn_warning
{
    color: #fff;
    background-color: #efac56;
    border-color: #e39951;
}
.btn_warning:hover,
.btn_warning:focus,
.btn_warning:active,
.btn_warning.active
{
    background-color: #ef9624;
    border-color: #e18226;
}
.btn_danger
{
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}
.btn_danger:hover,
.btn_danger:focus,
.btn_danger:active,
.btn_danger.active
{
    background-color: #e11e18;
    border-color: #c02823;
}
.btn_group > .decorate_btn:first-child:not(:last-child)
{
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
}
.btn_group > .decorate_btn:last-child:not(:first-child)
{
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
}
.btn_group > .decorate_btn + .decorate_btn,
.btn_group > .decorate_btn + .btn_group,
.btn_group > .btn_group + .decorate_btn,
.btn_group > .btn_group + .btn_group
{
    margin-left: -1px;
}
.ui-dialog-titlebar-close
{
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}
.formError { z-index: 99; }
.formError .formErrorContent { z-index: 991; }
.formError .formErrorArrow { z-index: 996; }
.ui-dialog .formError { z-index: 5000; }
.ui-dialog .formError .formErrorContent { z-index: 5001; }
.ui-dialog .formError .formErrorArrow { z-index: 5006; }

.inputContainer {
    position: relative;
    float: left;
}
.formError {
    position: absolute;
    top: 300px;
    left: 300px;
/*     position: relative !important; */
/*     top: 0px !important; */
/*     left: 0px !important; */
    display: block;
    cursor: pointer;
    text-align: left;
    margin-top: 3px !important;
}
.formError.inline {
    position: relative;
    top: 0;
    left: 0;
    display: inline-block;
}
.formError .formErrorContent {
    width: 100%;
    background: #ee0101;
    position:relative;
    color: #fff;
    min-width: 120px;
    font-size: 11px;
    border: 2px solid #ddd;
    box-shadow: 0 0 6px #000;
    -moz-box-shadow: 0 0 3px #000;
    -webkit-box-shadow: 0 0 3px #000;
    -o-box-shadow: 0 0 3px #000;
    padding: 4px 10px 4px 10px;
    border-radius: 6px;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    -o-border-radius: 6px;
}
.formError.inline .formErrorContent {
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    -o-box-shadow: none;
    border: none;
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    -o-border-radius: 0;
}

.navbar {
    background:linear-gradient(to right, #3c8dbc, #3c8dbc96);
    padding: 0.8rem 0.5rem;
}

.navbar h1{
    color: white;
    font-weight: bold;
    font-size: 1.5em;
    margin-right: 20px;
}

.navbar .disp-building-settings{
    color: white !important;
    font-size: 0.5em;
}

.navbar .nav-link{
    color: hsla(0,0%,100%,1) !important;
    text-align:center;
}

.navbar .nav-link svg{
    font-size:1.5em;
}

.navbar .nav-link span{
    font-size:0.5em;
}

.navbar .nav-link span.break{
    display:block;
}

.navbar li.nav-item{
     width:max-content;
}

.navbar li.nav-item.non-break{
    line-height:35px;
}
.media {
	display: -ms-flexbox;
	display: flex;
    align-items: center;
}

.media i {
	margin: 15px;
}

#account-box{
    display:none;
    position:absolute;
    width:350px;
    filter: drop-shadow(1px 4px 4px rgba(0,0,0,.8));
    z-index:2;
}
.top-arrow{
    content: "";
    position: relative;
    top: -15px;
    left: 70%;
    margin-left: -15px;
    border: 15px solid transparent;
    border-bottom: 15px solid white;
}
#account-box .caption{
    padding: unset;
    background: white;
    padding-left: 15px;
    height: 40px;
    padding-top: 10px;
    box-shadow: 0px 4px 3px -3px rgba(0,0,0,0.5);
    -webkit-box-shadow: 0px 4px 3px -3px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 4px 3px -3px rgba(0,0,0,0.5);
    position:relative;
    z-index:100;
    border-top-left-radius:5px;
    border-top-right-radius:5px;

}
#account-box .caption span{
    margin-left:15px;
}
#account-box table{
    width:100%;
}
#account-box table tr{
    height:42px;
}
#account-box table tr td{
    font-size:0.5em;
}
#account-box table tr td:nth-of-type(1){
    font-weight:bold;
    text-align:right;
}
#account-box table tr td:nth-of-type(2){
    padding-left:15px;
}
#account-box table tr:nth-child(odd) td{
    background-color:#fafafa;
}
#account-box table tr:nth-child(even) td{
    background-color:white;
}
.bold {
    font-weight:bold;
}

#change-possword {
    display: block;
    background-color: #efefef;
    height: 30px;
    text-align: center;
    padding-right: 15px;
    font-weight: bold;
    padding-top: 5px;
    border-bottom-left-radius:5px;
    border-bottom-right-radius:5px;
}

#change-possword + div {
    display:none;
    background-color: #efefef;
    text-align: center;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#change-password-button {
    color: white;
    background-color: #00579a;
    width: 80%;
    display: inline-block;
    text-align: center;
    padding: 10px 0px;
    filter: drop-shadow(1px 4px 4px rgba(0,0,0,.8));
    border-radius: 5px;
    margin: 10px 0;
}

.overlay {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  z-index: 1
 }

.buildingNameHeadline {
    padding: 8px 50px 8px 46px;
}
#spec {
    width: 600px;
}

#topics p.body {
    display:none;
}

#account {
    width:330px !important;
}

#account .dlStyle_04 dt{
    width:8em;
}

#topics-detail p.body {
    white-space: pre;
}

#topics .infoCol {
    height:60px;
}

#accountAcc>.headlineWrap {
    border-bottom: 1px solid rgba(153,153,153,.53);
}

#accountAcc h2.ttlStyle_07 {
    border-bottom:unset;
}

#logout-button {
    float:right;
    font-weight: unset;
    min-width: auto;
    padding: 6px 12px;
    margin-top: 10px;
    margin-right: 15px;
    filter: drop-shadow(1px 2px 2px rgba(0,0,0,.4));
    background: #D45755;
}

#logout-button:hover {
    background: #ee6555;
}

#logout-button:active {
    position:relative;
    top:2px;
    filter: unset;
}

#change-password-button:hover {
    background-color: #0065b4;
}

#change-password-button:active {
    position:relative;
    top:4px;
    filter: unset;
}

#alertWrapper {
    background:none !important;
}

#alertWrapper .outer{
    margin-top: 50vh;
}

#alertWrapper .outer .message{
    text-align:center;
}

#alertSec {
    background-color:rgba(212,87,85,0.7);
}
#alertSec .message {
    text-shadow: 1px 1px 5px #505050;
}

.required:after {
    color: #E00;
    content: "";
}
.required {
    color: #E00;
    content: "*";
}

.navbar-color {
    background: #00AE95 !important;
}

.nav-color .nav-link:hover{
    color: #00AE95 !important;
}

.nav-color .nav-link.active{
    background: #00AE95 !important;
    color: #FFFFFF !important;
}
